aboutsummaryrefslogtreecommitdiffstats
path: root/sysconfig/network-scripts/ifup-routes
diff options
context:
space:
mode:
Diffstat (limited to 'sysconfig/network-scripts/ifup-routes')
-rwxr-xr-xsysconfig/network-scripts/ifup-routes17
1 files changed, 17 insertions, 0 deletions
diff --git a/sysconfig/network-scripts/ifup-routes b/sysconfig/network-scripts/ifup-routes
new file mode 100755
index 00000000..0733eea5
--- /dev/null
+++ b/sysconfig/network-scripts/ifup-routes
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# adds static routes which go through device $1
+
+if [ "$1" = "" ]; then
+ echo "usage: $0 <net-device>"
+ exit 1
+fi
+
+if [ ! -f /etc/sysconfig/static-routes ]; then
+ exit 0
+fi
+
+#note the trailing space in the grep gets rid of aliases
+grep "^$1 " /etc/sysconfig/static-routes | while read device args; do
+ route add -$args $device
+done